Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234829 - entry widget deleting bug
Summary: entry widget deleting bug
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: newt
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-02 13:58 UTC by Jindrich Novy
Modified: 2013-07-02 23:20 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-04 16:07:54 UTC


Attachments (Terms of Use)

Description Jindrich Novy 2007-04-02 13:58:47 UTC
Description of problem:
The entry widget allows to enter a larger text than it's size, which is
perfectly ok. The problem occurs when an user tries to delete a portion of large
text so that the cursor is moved right on the beginning of the widget. The user
cannot see what he actually deletes at this point.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. enter text larger than the entry widget
2. try to delete it
3.
  
Actual results:
One cannot see what he deletes when the text is deleted up to the beginning of
the entry widget.

Expected results:
Some context should be left at the beginning of the widget so that an user sees
what will be deleted when he goes on deleting the text.

Additional info:

Comment 1 Miroslav Lichvar 2007-04-04 16:07:54 UTC
Fixed in newt-0.52.6-2.fc7.


Note You need to log in before you can comment on or make changes to this bug.